r1501 - in zodb/branches/jinty-3.9/debian (4 files)

Brian Sutherland jinty-guest at alioth.debian.org
Wed Jun 10 07:16:01 UTC 2009


    Date: Wednesday, June 10, 2009 @ 07:16:01
  Author: jinty-guest
Revision: 1501

* New upstream release
* Add autopkgtest tests.

Added:
  zodb/branches/jinty-3.9/debian/tests/
  zodb/branches/jinty-3.9/debian/tests/all
  zodb/branches/jinty-3.9/debian/tests/control
Modified:
  zodb/branches/jinty-3.9/debian/changelog

Modified: zodb/branches/jinty-3.9/debian/changelog
===================================================================
--- zodb/branches/jinty-3.9/debian/changelog	2009-06-10 07:07:57 UTC (rev 1500)
+++ zodb/branches/jinty-3.9/debian/changelog	2009-06-10 07:16:01 UTC (rev 1501)
@@ -1,13 +1,14 @@
-zodb (1:3.9.0~b1-1) UNRELEASED; urgency=low
+zodb (1:3.9.0~b1-1) unstable; urgency=low
 
-  * (NOT RELEASED YET) New upstream release
+  * New upstream release
   * Add watch file.
   * Convert rules file to python-van.pydeb trying to conserve original rules
     behaviour.
   * Remove patches, they look to be back-ports of compatibility issues that
     should be fixed upstream already (Fabio, can you confirm?)
+  * Add autopkgtest tests.
 
- -- Brian Sutherland <brian at vanguardistas.net>  Mon, 08 Jun 2009 08:49:00 +0200
+ -- Brian Sutherland <brian at vanguardistas.net>  Mon, 08 Jun 2009 09:29:07 +0200
 
 zodb (1:3.6.0-4) unstable; urgency=low
 

Added: zodb/branches/jinty-3.9/debian/tests/all
===================================================================
--- zodb/branches/jinty-3.9/debian/tests/all	                        (rev 0)
+++ zodb/branches/jinty-3.9/debian/tests/all	2009-06-10 07:16:01 UTC (rev 1501)
@@ -0,0 +1,29 @@
+#!/bin/bash
+
+set -e
+
+PYVERS=$(pyversions -vr debian/control)
+TMPFILE=$(mktemp)
+
+cat > $TMPFILE << EOF
+import sys
+from zope.testing import testrunner
+
+subs = (sys.version_info[0], sys.version_info[1])
+test_path = '/usr/lib/python%s.%s/site-packages/' % subs
+
+
+
+exitcode = testrunner.run([
+                '--tests-pattern', '^f?tests$',
+                '-m', '(persistent|BTrees|ZEO|ZODB)',
+                '--test-path', test_path
+                ])
+sys.exit(exitcode)
+EOF
+
+for version in ${PYVERS}; do
+    python${version} ${TMPFILE}
+done
+
+rm $TMPFILE

Added: zodb/branches/jinty-3.9/debian/tests/control
===================================================================
--- zodb/branches/jinty-3.9/debian/tests/control	                        (rev 0)
+++ zodb/branches/jinty-3.9/debian/tests/control	2009-06-10 07:16:01 UTC (rev 1501)
@@ -0,0 +1,3 @@
+Tests: all
+Features: no-build-needed
+Depends: @, python-zope.testing




More information about the pkg-zope-commits mailing list